I am LAZY bones ? all linux

也用上2.6.27的内核了

话说这gentoo的更新还真够快的,前几天才发布的2.6.27正式版内核,今天就进了portage.于是就编译,用上了.
没有什么大问题,因为之前的ipw3945和alsa-drivers都是另外安装的,而这次我决定把他们都弄到内核里面,这样就不用在每次换内核以后,都重新安装那几个包了.也因此,内核也增长到了2.5M以上,呵呵.
重启以后,发现alsa的声音没有任何问题,至于无线,iwconfig里面能看到,设备由原来的 eth1 变成了 wlan0.但是 ifconfig里面缺没有了,而且 ifconfig wlan0 up 居然提示:”SIOCSIFFLAGS: 没有那个文件或目录”.irc问了一下,说是由于缺少firmware,而且 dmesg 里面会有一堆这样的信息:

firmware: requesting iwlwifi-3945-1.ucode
iwl3945: iwlwifi-3945-1.ucode firmware file req failed: Reason -2
iwl3945: Could not read microcode: -2

解决方法就是安装这个包: iwl3945-ucode 装完之后 ifconfig wlan0 up就正常了,哈哈.
这下可以把这些包都卸载了: net-wireless/ipw3945 net-wireless/ipw3945d media-sound/alsa-driver

最后修改时间: 2008年10月14日 14:34

本文章发表于: 2008年10月14日 14:34 | 所属分类:gentoo, 流水帐. | 您可以在此订阅本文章的所有评论. | 您也可以发表评论, 或从您的网站trackback.

发表评论